OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_DataMapNodeOfDataMapOfShapeStyle Class Reference

`#include <XCAFPrs_DataMapNodeOfDataMapOfShapeStyle.hxx>`

## Public Member Functions
| XCAFPrs_DataMapNodeOfDataMapOfShapeStyle (const TopoDS_Shape &K, const XCAFPrs_Style &I, const TCollection_MapNodePtr &n)
TopoDS_Shape & | Key () const
XCAFPrs_Style & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TopoDS_Shape | myKey
XCAFPrs_Style | myValue

## Constructor & Destructor Documentation

XCAFPrs_DataMapNodeOfDataMapOfShapeStyle::XCAFPrs_DataMapNodeOfDataMapOfShapeStyle | ( | const TopoDS_Shape & | K,
|  | const XCAFPrs_Style & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const XCAFPrs_DataMapNodeOfDataMapOfShapeStyle::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& XCAFPrs_DataMapNodeOfDataMapOfShapeStyle::Key | ( |  | ) | const

XCAFPrs_Style& XCAFPrs_DataMapNodeOfDataMapOfShapeStyle::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape XCAFPrs_DataMapNodeOfDataMapOfShapeStyle::myKey`[private]`

XCAFPrs_Style XCAFPrs_DataMapNodeOfDataMapOfShapeStyle::myValue`[private]`

The documentation for this class was generated from the following file:

- XCAFPrs_DataMapNodeOfDataMapOfShapeStyle.hxx